Contenu | Rechercher | Menus

Annonce

L'équipe des administrateurs et modérateurs du forum vous invite à prendre connaissance des nouvelles règles.
En cas de besoin, vous pouvez intervenir dans cette discussion.

Ubuntu 18.04 LTS
Ubuntu-fr propose des clés USB de Ubuntu et toutes ses « saveurs » ainsi qu'un magnifique t-shirt pour cette toute nouvelle version d'Ubuntu !

Si vous avez des soucis pour rester connecté, déconnectez-vous puis reconnectez-vous depuis ce lien en cochant la case
Me connecter automatiquement lors de mes prochaines visites.

À propos de l'équipe du forum.

#1 Le 29/03/2007, à 16:17

paoh

plantage du dernier wesnoth compilé

Bonjour,

J'ai compile la derniere version de wesnoth (1.2.3 actuellement)
J'ai suivi pas a pas cette methode : http://doc.ubuntu-fr.org/wesnoth
Tout semble s'etre bien deroule.

Bilan : si je lance "wesnoth", l'ecran devient noir et le clavier se bloque.
Oblige d'arreter violemment le PC.

1. Comment faire pour diagnostiquer le probleme ?
2. Dans le cas ou ca me gave, comment desinstaller ce wesnoth ? (je n'ai pas installe celui d'ubuntu)

Merci d'avance pour votre aide smile

Paoh

Dernière modification par paoh (Le 30/03/2007, à 06:04)


7.10 (gutsy) i386, AMD64 3000+, nvidia 6600GT

Hors ligne

#2 Le 29/03/2007, à 16:29

Balkoth

Re : plantage du dernier wesnoth compilé

Bonjour,

tu n'as eu aucun message d'erreur ou warning lors du ./configure , du make ou du make install ?
C'est cela qui serait utile.

Pour désinstaller, tu peux faire sudo make uninstall dans le dossier wesnoth, puis supprimer ce dossier.

Dernière modification par Balkoth (Le 29/03/2007, à 16:30)

Hors ligne

#3 Le 29/03/2007, à 16:31

paoh

Re : plantage du dernier wesnoth compilé

apres redemarrage il en reste une trace ?
ou alors il y a peut-etre un log ?


7.10 (gutsy) i386, AMD64 3000+, nvidia 6600GT

Hors ligne

#4 Le 29/03/2007, à 16:36

paoh

Re : plantage du dernier wesnoth compilé

oula je viens de trouver le config.log

c'est farci d'erreurs ! bigre !

Je sais pas si ca vaut le coup que j'affiche tout ici.

exemple des premieres du fichier :

configure:4585: checking for CFPreferencesCopyAppValue
configure:4615: gcc -o conftest -g -O2  -I/System/Library/Frameworks/CoreFoundation.framework/Headers  conftest.c  -framework CoreFoundation >&5
gcc: CoreFoundation: No such file or directory
cc1: error: unrecognized command line option "-framework"
configure:4621: $? = 1
configure: failed program was:
| /* confdefs.h.  */
| #define PACKAGE_NAME "Battle for Wesnoth"
| #define PACKAGE_TARNAME "wesnoth"
| #define PACKAGE_VERSION "1.2.3"
| #define PACKAGE_STRING "Battle for Wesnoth 1.2.3"
| #define PACKAGE_BUGREPORT "isaac@warp.es"
| #define WESNOTH_DEFAULT_SERVER "devsrv.wesnoth.org:14999"
| #define PACKAGE "wesnoth"
| #define VERSION "1.2.3"
| /* end confdefs.h.  */
| #include <CFPreferences.h>
| int
| main ()
| {
| CFPreferencesCopyAppValue(NULL, NULL)
|   ;
|   return 0;
| }
configure:4640: result: no
configure:4649: checking for CFLocaleCopyCurrent
configure:4679: gcc -o conftest -g -O2  -I/System/Library/Frameworks/CoreFoundation.framework/Headers  conftest.c  -framework CoreFoundation >&5
gcc: CoreFoundation: No such file or directory
cc1: error: unrecognized command line option "-framework"
configure:4685: $? = 1
configure: failed program was:
| /* confdefs.h.  */
| #define PACKAGE_NAME "Battle for Wesnoth"
| #define PACKAGE_TARNAME "wesnoth"
| #define PACKAGE_VERSION "1.2.3"
| #define PACKAGE_STRING "Battle for Wesnoth 1.2.3"
| #define PACKAGE_BUGREPORT "isaac@warp.es"
| #define WESNOTH_DEFAULT_SERVER "devsrv.wesnoth.org:14999"
| #define PACKAGE "wesnoth"
| #define VERSION "1.2.3"
| /* end confdefs.h.  */
| #include <CFLocale.h>
| int
| main ()
| {
| CFLocaleCopyCurrent();
|   ;
|   return 0;
| }
configure:4704: result: no
configure:4721: checking whether NLS is requested
configure:4730: result: yes
configure:4748: checking for GNU gettext in libc
configure:4777: gcc -o conftest -g -O2   conftest.c  >&5
configure:4783: $? = 0
configure:4800: result: yes
configure:5498: checking whether to use NLS
configure:5500: result: yes
configure:5503: checking where the gettext function comes from
configure:5514: result: libc
configure:5618: checking for ranlib
configure:5634: found /usr/bin/ranlib
configure:5645: result: ranlib
configure:6086: checking for g++
configure:6102: found /usr/bin/g++
configure:6113: result: g++
configure:6144: checking for C++ compiler version
configure:6151: g++ --version >&5
g++ (GCC) 4.1.2 20060928 (prerelease) (Ubuntu 4.1.1-13ubuntu5)
Copyright (C) 2006 Free Software Foundation, Inc.
This is free software; see the source for copying conditions.  There is NO
warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

configure:6154: $? = 0
configure:6161: g++ -v >&5
Using built-in specs.
Target: i486-linux-gnu
Configured with: ../src/configure -v --enable-languages=c,c++,fortran,objc,obj-c++,treelang --prefix=/usr --enable-shared --with-system-zlib --libexecdir=/usr/lib --without-included-gettext --enable-threads=posix --enable-nls --program-suffix=-4.1 --enable-__cxa_atexit --enable-clocale=gnu --enable-libstdcxx-debug --enable-mpfr --enable-checking=release i486-linux-gnu
Thread model: posix
gcc version 4.1.2 20060928 (prerelease) (Ubuntu 4.1.1-13ubuntu5)
configure:6164: $? = 0
configure:6171: g++ -V >&5
g++: '-V' option must have argument
configure:6174: $? = 1
configure:6177: checking whether we are using the GNU C++ compiler
configure:6206: g++ -c -O2 -W -Wall -ansi   conftest.cpp >&5
configure:6212: $? = 0
configure:6229: result: yes
configure:6234: checking whether g++ accepts -g
configure:6264: g++ -c -g  conftest.cpp >&5
configure:6270: $? = 0
configure:6369: result: yes
configure:6394: checking dependency style of g++
configure:6485: result: gcc3
configure:6548: checking for gcc
configure:6575: result: gcc
configure:6813: checking for C compiler version
configure:6820: gcc --version >&5
gcc (GCC) 4.1.2 20060928 (prerelease) (Ubuntu 4.1.1-13ubuntu5)

Dernière modification par paoh (Le 29/03/2007, à 16:40)


7.10 (gutsy) i386, AMD64 3000+, nvidia 6600GT

Hors ligne

#5 Le 30/03/2007, à 05:59

paoh

Re : plantage du dernier wesnoth compilé

Je reformule la question au cas où il y ait une âme intéressée :

La configuration a donc renvoyée de nombreuses erreurs :

configure:4615: gcc -o conftest -g -O2  -I/System/Library/Frameworks/CoreFoundation.framework/Headers  conftest.c  -framework CoreFoundation >&5
gcc: CoreFoundation: No such file or directory
cc1: error: unrecognized command line option "-framework"

la première semble mentioner qq chose de manquant et la suivante une version de gcc incompatible (-framework inconnu)

D'installé, j'ai gcc 4.1 et une version plus ancienne.

Avez-vous une idée sur ce qui peut manquer avant que j'abandonne et désinstalle ?

Dernière modification par paoh (Le 30/03/2007, à 06:04)


7.10 (gutsy) i386, AMD64 3000+, nvidia 6600GT

Hors ligne

#6 Le 30/03/2007, à 09:57

Balkoth

Re : plantage du dernier wesnoth compilé

En fait, j'ai à peu près les mêmes erreurs dans mon config.log, alors que tout fonctionne.
C'est peut être un problème de carte graphique, tu as bien l'accélération matérielle activée ?

Tu peux aussi recompiler wesnoth pour donner les messages d'erreurs.
Au fait, tu as quelle version d'Ubuntu ?

Pour ce qui peut manquer, je suppose que tu as installé tous les paquets mentionnés sur le wiki ?
Vérifie aussi que python2.5-dev est installé.

Hors ligne

#7 Le 03/04/2007, à 08:52

paoh

Re : plantage du dernier wesnoth compilé

Bonjour Balkoth,

Merci pour toutes ses pistes smile

Balkoth a écrit :

C'est peut être un problème de carte graphique, tu as bien l'accélération matérielle activée ?

J'ai pas d'accélération matérielle, c'est une installation fraîche. Il faut installer glx pour faire fonctionner Wesnoth ?
C'est pas marqué dans le wiki.
Alors je dois faire ce qu'il y a inscrit ici (carte nvidia) ?

Balkoth a écrit :

Tu peux aussi recompiler wesnoth pour donner les messages d'erreurs.

ok, je le ferai après être sûr d'avoir installé tous les paquets.
Je ferai ça si j'ai bien compris :

./configure
make
sudo make install
Balkoth a écrit :

Au fait, tu as quelle version d'Ubuntu ?

Edgy i386 avec une nvidia 6600GT (je l'ai mise dans ma signature)

Balkoth a écrit :

Pour ce qui peut manquer, je suppose que tu as installé tous les paquets mentionnés sur le wiki ?

Je l'ai entièrement suivi, comme indiqué dans mon premier post.

Balkoth a écrit :

Vérifie aussi que python2.5-dev est installé.

Ha bon, c'est pas non plus marqué dans le wiki ?
Je vais l'installer.

Dernière modification par paoh (Le 03/04/2007, à 08:53)


7.10 (gutsy) i386, AMD64 3000+, nvidia 6600GT

Hors ligne

#8 Le 03/04/2007, à 21:07

Balkoth

Re : plantage du dernier wesnoth compilé

paoh a écrit :

J'ai pas d'accélération matérielle, c'est une installation fraîche. Il faut installer glx pour faire fonctionner Wesnoth ?
C'est pas marqué dans le wiki.
Alors je dois faire ce qu'il y a inscrit ici (carte nvidia) ?

Wesnoth devrait fonctionner sans accélération graphique, mais un écran noir m'a fait penser à un problème de ce genre. Oui, cette page du wiki donne la précédure à suivre.

paoh a écrit :

Je ferai ça si j'ai bien compris :
Code:

./configure
make
sudo make install

C'est ça. La plupart des erreurs devraient apparaître lors du ./configure, dans un premier temps tu peux poster uniquement le résultat de cette commande.

paoh a écrit :
Balkoth a écrit :

Vérifie aussi que python2.5-dev est installé.

Ha bon, c'est pas non plus marqué dans le wiki ?
Je vais l'installer.

Ce n'est pas marqué dans le wiki, mais j'en ai eu besoin pour compiler wesnoth 1.3.1 sous feisty (le ./configure réclamait le fichier python.h). Je ne sais pas s'il est utile pour wesnoth 1.2.3. Si ça règle ton souci, je le rajouterai dans le wiki.

Hors ligne